Mail.ru-агент для Linux

Полезные советы и программы от пользователей нашего форума.

Модератор: Модераторы разделов

Almaron
Сообщения: 1
ОС: Gentoo Linux

Re: Mail.ru-агент для Linux

Сообщение Almaron »

./configure, make и make install проходят без проблем, разве что бинарь нормально не ставится.. А вот дальше начинается:

Код:

2009-01-10 02:26:24 W: IconsetFactory::addFactory error 2009-01-10 02:26:24 W: IconsetFactory::addFactory error 2009-01-10 02:26:24 W: IconsetFactory::addFactory error 2009-01-10 02:26:24 D: "Windows" find style 2009-01-10 02:26:24 D: "Motif" find style 2009-01-10 02:26:24 D: "CDE" find style 2009-01-10 02:26:24 D: "Plastique" find style 2009-01-10 02:26:24 D: "Cleanlooks" find style 2009-01-10 02:26:24 W: error load translator 2009-01-10 02:26:24 W: cant find icon messageICOAnim Исключение в операции с плавающей точкой
Спасибо сказали:

aliens
Сообщения: 495
Статус: нетрушный
ОС: Gentoo & CentOS 5.1

Re: Mail.ru-агент для Linux

Сообщение aliens »

Кстати, пишется плагин для qutim по работе с маил.ру
Спасибо сказали:

Аватара пользователя
Devider
Сообщения: 476
ОС: GNU/Linux

Re: Mail.ru-агент для Linux

Сообщение Devider »

Со мной случился запой, потом завал на работе, а так это
adroot писал(а):
29.12.2008 12:31
1 интерфейс к передаче аттачей

я посмотрю как разгребусь.
Кстати, как-то можно собрать твоего агента под винду? Я чота не соображу как бы ему скормить вещи типа sys/socket.h. С эмуляцией линя сложности. В смысле виртуалки. А линь тока дома.
Спасибо сказали:

Аватара пользователя
t-roll
Сообщения: 139
ОС: ArchLinux;WinXP

Re: Mail.ru-агент для Linux

Сообщение t-roll »

проэкт умер?
Archlinux Current
Спасибо сказали:

adroot
Сообщения: 31
ОС: Linux

Re: Mail.ru-агент для Linux

Сообщение adroot »

нет пока еще, сейчас вот время свободное будет - доделаю передачу файлов.
Спасибо сказали:

Аватара пользователя
t-roll
Сообщения: 139
ОС: ArchLinux;WinXP

Re: Mail.ru-агент для Linux

Сообщение t-roll »

а к чему использование никсовых хедеров, в функционале, заложенном в Qt, чего-то не хватает?
Archlinux Current
Спасибо сказали:

adroot
Сообщения: 31
ОС: Linux

Re: Mail.ru-агент для Linux

Сообщение adroot »

в принципе от всех никсовких хедеров можно отказаться, просто не пытался сделать программу кроссплатформенной
Спасибо сказали:

Аватара пользователя
t-roll
Сообщения: 139
ОС: ArchLinux;WinXP

Re: Mail.ru-агент для Linux

Сообщение t-roll »

а зря :\
хотел на qtopia собрать а тут такой облом и тратить кучу времени....
Archlinux Current
Спасибо сказали:

Аватара пользователя
AsMasteR
Сообщения: 93
ОС: GNU/Linux Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение AsMasteR »

Люди, что то я сильно туплю, давно ничего не компилил.. :(
вот что выдаёт ./configure:

Код:

Configuring mra_qt Application ... Verifying Qt 4 build environment ... QMAKESPEC has not been set, so configuration cannot be deduced. Error processing project file: conf4.pro fail Reason: There was an error compiling 'conf'. See conf.log for details. Be sure you have a proper Qt 4.0 build environment set up. This means not just Qt, but also a C++ compiler, a make tool, and any other packages necessary for compiling C++ programs. If you are certain everything is installed, then it could be that Qt 4 is not being recognized or that a different version of Qt is being detected by mistake (for example, this could happen if $QTDIR is pointing to a Qt 3 installation). At least one of the following conditions must be satisfied: 1) --qtdir is set to the location of Qt 2) $QTDIR is set to the location of Qt 3) QtCore is in the pkg-config database 4) qmake is in the $PATH This script will use the first one it finds to be true, checked in the above order. #3 and #4 are the recommended options. #1 and #2 are mainly for overriding the system configuration.

как это конфигурируется, извините конечно за тупой вопрос, но просто реально туплю.. :wacko: :drunk:
Вот прям в этот самый момент я ЖИВУ, и радуюсь ЖИЗНИ и МИРУ на нашей маленькой планете. И ничто и никто не сможет переубедить меня в том, что я счастлив... Dont worry, be happy!!!! Жду друзей у себя на сайте WhiteHakeR
Спасибо сказали:

Аватара пользователя
sdwig
Сообщения: 220
ОС: OpenSuse11.3

Re: Mail.ru-агент для Linux

Сообщение sdwig »

мне думается ответь здесь

Код: Выделить всё

Be sure you have a proper Qt 4.0 build environment set up.  This means not
just Qt, but also a C++ compiler, a make tool, and any other packages
necessary for compiling C++ programs.
Спасибо сказали:

adroot
Сообщения: 31
ОС: Linux

Re: Mail.ru-агент для Linux

Сообщение adroot »

See conf.log for details.

в этот лог посмотри, но по всей вероятности у тебя нестоит
libqt4-dev
Спасибо сказали:

Аватара пользователя
AsMasteR
Сообщения: 93
ОС: GNU/Linux Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение AsMasteR »

libqt4-dev
истина!!! 2adroot спасибо, что вразумили меня непутёвого :)
Вот прям в этот самый момент я ЖИВУ, и радуюсь ЖИЗНИ и МИРУ на нашей маленькой планете. И ничто и никто не сможет переубедить меня в том, что я счастлив... Dont worry, be happy!!!! Жду друзей у себя на сайте WhiteHakeR
Спасибо сказали:

Аватара пользователя
AsMasteR
Сообщения: 93
ОС: GNU/Linux Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение AsMasteR »

Ура!! наконец у меня на Linux нормальный агент!! автору респект!
Выкладываю deb для тех, кому сложно самому прогу собрать. собирал под Debian 5.0 Lenny
http://narod.ru/disk/5927538000/mra-qt_200...1_i386.deb.html
Вот прям в этот самый момент я ЖИВУ, и радуюсь ЖИЗНИ и МИРУ на нашей маленькой планете. И ничто и никто не сможет переубедить меня в том, что я счастлив... Dont worry, be happy!!!! Жду друзей у себя на сайте WhiteHakeR
Спасибо сказали:

Threat
Сообщения: 1
ОС: Ubuntu 8.04

Re: Mail.ru-агент для Linux

Сообщение Threat »

Помогите, пожалуйста. Пытаюсь выполнить ./configure. выдаёт следующее:

Код:

Configuring mra_qt Application ... Verifying Qt 4 build environment ... fail Reason: There was an error compiling 'conf'. See conf.log for details. Be sure you have a proper Qt 4.0 build environment set up. This means not just Qt, but also a C++ compiler, a make tool, and any other packages necessary for compiling C++ programs. ...

в conf.log написано:

Код:

/usr/bin/moc-qt4 -DQT_SHARED -DHAVE_MODULES -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I. -I. conf4.cpp -o conf4.moc g++ -c -pipe -fpermissive -g -Wall -W -D_REENTRANT -DQT_SHARED -DHAVE_MODULES -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I. -I. -o conf4.o conf4.cpp make: g++: Команда не найдена make: *** [conf4.o] Ошибка 127
Спасибо сказали:

Аватара пользователя
Aectann
Бывший модератор
Сообщения: 3491
Статус: ...
ОС: OS X, GNU_и_не_только/Linux

Re: Mail.ru-агент для Linux

Сообщение Aectann »

Threat
Установите пакет build-essential .
Установка программ из исходников - настоятельно рекомендуется к прочтению, по крайней мере первый пост.
My god... it's full of stars!...
Спасибо сказали:

Аватара пользователя
astronom1987
Сообщения: 1140
ОС: MX Linux

Re: Mail.ru-агент для Linux

Сообщение astronom1987 »

Господа, а ваша версия агента умеет разговаривать (функции голосовой связи) или нет?
Спасибо сказали:

oldbay
Сообщения: 283
ОС: gentoo, cenos

Re: Mail.ru-агент для Linux

Сообщение oldbay »

Хорошо и со вкусом - агент понравился, хоть пока и сыроват, но лиха беда начало
После сборки был трабл - не копировался в /bin бинарник - а так сборка прошла без проблемм
Удачи в хорошем начинании и отдельное спасибо от за агент от шурина и супруги :)
Спасибо сказали:

Аватара пользователя
spbvova
Сообщения: 9
ОС: debian lenny , ubuntu 7.10

Re: Mail.ru-агент для Linux

Сообщение spbvova »

AsMasteR писал(а):
20.02.2009 21:35
Ура!! наконец у меня на Linux нормальный агент!! автору респект!
Выкладываю deb для тех, кому сложно самому прогу собрать. собирал под Debian 5.0 Lenny
http://narod.ru/disk/5927538000/mra-qt_200...1_i386.deb.html

Cпасибо поставил, но в меню не появилось значка и из терминала не запускается, наверное ввиду отсутствия файла в /usr/bin/нет файла mrim_qt или я в чём-то туплю .
Спасибо сказали:

IvanAl
Сообщения: 64

Re: Mail.ru-агент для Linux

Сообщение IvanAl »

То же и у меня.
Спасибо сказали:

Аватара пользователя
Labrador
Сообщения: 21
ОС: Ubuntu

Re: Mail.ru-агент для Linux

Сообщение Labrador »

Как успехи? Когда обновление появится?
Спасибо сказали:

Midwich
Сообщения: 3

Re: Mail.ru-агент для Linux

Сообщение Midwich »

Код: Выделить всё

my@my-desktop:~/mra_qt$ make
cd plugins/mra/ && make -f Makefile
make[1]: Вход в каталог `/home/my/mra_qt/plugins/mra'
make[1]: Цель `first' не требует выполнения команд.
make[1]: Выход из каталога `/home/my/mra_qt/plugins/mra'
cd src/ && make -f Makefile
make[1]: Вход в каталог `/home/my/mra_qt/src'
make[1]: Цель `first' не требует выполнения команд.
make[1]: Выход из каталога `/home/my/mra_qt/src'


Это... шо такое?... помогите.. .откомпилить.. это чудо.. под.. Убунту 9.04
Спасибо сказали:

Аватара пользователя
Aectann
Бывший модератор
Сообщения: 3491
Статус: ...
ОС: OS X, GNU_и_не_только/Linux

Re: Mail.ru-агент для Linux

Сообщение Aectann »

Теперь make install, а лучше - checkinstall, соберет Deb-пакет и разместит в том же каталоге. Потом dpkg -i имя_файла.deb .
My god... it's full of stars!...
Спасибо сказали:

Midwich
Сообщения: 3

Re: Mail.ru-агент для Linux

Сообщение Midwich »

Aectann писал(а):
03.09.2009 19:12
Теперь make install, а лучше - checkinstall, соберет Deb-пакет и разместит в том же каталоге. Потом dpkg -i имя_файла.deb .


Код: Выделить всё

Installing with make...Installing with install...

========================= Результаты установки ===========================
cd plugins/mra/ && make -f Makefile install
make[1]: Вход в каталог `/home/midwich/mra_qt/plugins/mra'
make[1]: Цель `install' не требует выполнения команд.
make[1]: Выход из каталога `/home/midwich/mra_qt/plugins/mra'
cd src/ && make -f Makefile install
make[1]: Вход в каталог `/home/midwich/mra_qt/src'
mkdir: невозможно создать каталог `/usr/local/share/mra_qt/': Permission denied
make[1]: *** [install_sharedfiles] Ошибка 1
make[1]: Выход из каталога `/home/midwich/mra_qt/src'
make: *** [sub-src-install_subtargets] Ошибка 2

****  Установка неудачна. Отменяется создание пакета.

Очищается...OK

Удачи


не хочет.. компилиться.
Спасибо сказали:

Аватара пользователя
Aectann
Бывший модератор
Сообщения: 3491
Статус: ...
ОС: OS X, GNU_и_не_только/Linux

Re: Mail.ru-агент для Linux

Сообщение Aectann »

не хочет.. компилиться.

Скомпилилось все нормально, сейчас вы на этапе установки.

Midwich писал(а):
03.09.2009 19:22
mkdir: невозможно создать каталог `/usr/local/share/mra_qt/': Permission denied

Нужно выполнять make install с правами root.

P.S. И все-таки советую собрать пакет checkinstall'ом.
My god... it's full of stars!...
Спасибо сказали:

Midwich
Сообщения: 3

Re: Mail.ru-агент для Linux

Сообщение Midwich »

Aectann писал(а):
03.09.2009 20:21
не хочет.. компилиться.

Скомпилилось все нормально, сейчас вы на этапе установки.

Midwich писал(а):
03.09.2009 19:22
mkdir: невозможно создать каталог `/usr/local/share/mra_qt/': Permission denied

Нужно выполнять make install с правами root.

P.S. И все-таки советую собрать пакет checkinstall'ом.



все.. заработал.. спасибо... вот только... с правами рута все запускается.. но это я думаю.. можно по праить.. уже где то было про это тут написанно..
Спасибо сказали:

temu4in
Сообщения: 4
ОС: Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение temu4in »

Добрый день! я новичек влинуксе и вот никак немогу поставить,
пытался и дебпакеты ставить и сам их собирать. никак :( :crazy:
вот попытался поставить рПМ и вот вышли ошибки

Код: Выделить всё

tim@tim-desktop:~$ sudo rpm -Uvh mra_qt.i386.rpm
[sudo] password for tim:
ошибка: Неудовлетворенные зависимости:
    /bin/sh нужен для mra_qt-20080831-1.i386
    libc.so.6 нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.2) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.3) нужен для mra_qt-20080831-1.i386
    libdl.so.2 нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libfontconfig.so.1 нужен для mra_qt-20080831-1.i386
    libfreetype.so.6 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1(GCC_3.0) нужен для mra_qt-20080831-1.i386
    libICE.so.6 нужен для mra_qt-20080831-1.i386
    libm.so.6 нужен для mra_qt-20080831-1.i386
    libpng12.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libQtCore.so.4 нужен для mra_qt-20080831-1.i386
    libQtGui.so.4 нужен для mra_qt-20080831-1.i386
    libQtNetwork.so.4 нужен для mra_qt-20080831-1.i386
    libQtXml.so.4 нужен для mra_qt-20080831-1.i386
    librt.so.1 нужен для mra_qt-20080831-1.i386
    libSM.so.6 нужен для mra_qt-20080831-1.i386
    libsqlite3.so.0 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(CXXABI_1.3) нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(GLIBCXX_3.4) нужен для mra_qt-20080831-1.i386
    libX11.so.6 нужен для mra_qt-20080831-1.i386
    libXcursor.so.1 нужен для mra_qt-20080831-1.i386
    libXext.so.6 нужен для mra_qt-20080831-1.i386
    libXfixes.so.3 нужен для mra_qt-20080831-1.i386
    libXinerama.so.1 нужен для mra_qt-20080831-1.i386
    libXi.so.6 нужен для mra_qt-20080831-1.i386
    libXrandr.so.2 нужен для mra_qt-20080831-1.i386
    libXrender.so.1 нужен для mra_qt-20080831-1.i386
    libXss.so.1 нужен для mra_qt-20080831-1.i386
    libz.so.1 нужен для mra_qt-20080831-1.i386
    rpmlib(PayloadIsLzma) <= 4.4.2-1 нужен для mra_qt-20080831-1.i386
tim@tim-desktop:~$
Спасибо сказали:

mieczeslaw
Сообщения: 139
ОС: xubuntu 12.10

Re: Mail.ru-агент для Linux

Сообщение mieczeslaw »

temu4in писал(а):
09.10.2009 20:38
Добрый день! я новичек влинуксе и вот никак немогу поставить,
пытался и дебпакеты ставить и сам их собирать. никак :( :crazy:
вот попытался поставить рПМ и вот вышли ошибки

Код: Выделить всё

tim@tim-desktop:~$ sudo rpm -Uvh mra_qt.i386.rpm
[sudo] password for tim:
ошибка: Неудовлетворенные зависимости:
    /bin/sh нужен для mra_qt-20080831-1.i386
    libc.so.6 нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.2) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.3) нужен для mra_qt-20080831-1.i386
    libdl.so.2 нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libfontconfig.so.1 нужен для mra_qt-20080831-1.i386
    libfreetype.so.6 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1(GCC_3.0) нужен для mra_qt-20080831-1.i386
    libICE.so.6 нужен для mra_qt-20080831-1.i386
    libm.so.6 нужен для mra_qt-20080831-1.i386
    libpng12.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libQtCore.so.4 нужен для mra_qt-20080831-1.i386
    libQtGui.so.4 нужен для mra_qt-20080831-1.i386
    libQtNetwork.so.4 нужен для mra_qt-20080831-1.i386
    libQtXml.so.4 нужен для mra_qt-20080831-1.i386
    librt.so.1 нужен для mra_qt-20080831-1.i386
    libSM.so.6 нужен для mra_qt-20080831-1.i386
    libsqlite3.so.0 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(CXXABI_1.3) нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(GLIBCXX_3.4) нужен для mra_qt-20080831-1.i386
    libX11.so.6 нужен для mra_qt-20080831-1.i386
    libXcursor.so.1 нужен для mra_qt-20080831-1.i386
    libXext.so.6 нужен для mra_qt-20080831-1.i386
    libXfixes.so.3 нужен для mra_qt-20080831-1.i386
    libXinerama.so.1 нужен для mra_qt-20080831-1.i386
    libXi.so.6 нужен для mra_qt-20080831-1.i386
    libXrandr.so.2 нужен для mra_qt-20080831-1.i386
    libXrender.so.1 нужен для mra_qt-20080831-1.i386
    libXss.so.1 нужен для mra_qt-20080831-1.i386
    libz.so.1 нужен для mra_qt-20080831-1.i386
    rpmlib(PayloadIsLzma) <= 4.4.2-1 нужен для mra_qt-20080831-1.i386
tim@tim-desktop:~$

Простите, а какой дистрибутив у вас? Если Ubuntu, то я первый раз слышу, чтоб в ней использовали rpm-пакеты.
Спасибо сказали:

temu4in
Сообщения: 4
ОС: Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение temu4in »

mieczeslaw писал(а):
10.10.2009 07:44
temu4in писал(а):
09.10.2009 20:38
Добрый день! я новичек влинуксе и вот никак немогу поставить,
пытался и дебпакеты ставить и сам их собирать. никак :( :crazy:
вот попытался поставить рПМ и вот вышли ошибки

Код: Выделить всё

tim@tim-desktop:~$ sudo rpm -Uvh mra_qt.i386.rpm
[sudo] password for tim:
ошибка: Неудовлетворенные зависимости:
    /bin/sh нужен для mra_qt-20080831-1.i386
    libc.so.6 нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.2) нужен для mra_qt-20080831-1.i386
    libc.so.6(GLIBC_2.1.3) нужен для mra_qt-20080831-1.i386
    libdl.so.2 нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libdl.so.2(GLIBC_2.1) нужен для mra_qt-20080831-1.i386
    libfontconfig.so.1 нужен для mra_qt-20080831-1.i386
    libfreetype.so.6 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1 нужен для mra_qt-20080831-1.i386
    libgcc_s.so.1(GCC_3.0) нужен для mra_qt-20080831-1.i386
    libICE.so.6 нужен для mra_qt-20080831-1.i386
    libm.so.6 нужен для mra_qt-20080831-1.i386
    libpng12.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0 нужен для mra_qt-20080831-1.i386
    libpthread.so.0(GLIBC_2.0) нужен для mra_qt-20080831-1.i386
    libQtCore.so.4 нужен для mra_qt-20080831-1.i386
    libQtGui.so.4 нужен для mra_qt-20080831-1.i386
    libQtNetwork.so.4 нужен для mra_qt-20080831-1.i386
    libQtXml.so.4 нужен для mra_qt-20080831-1.i386
    librt.so.1 нужен для mra_qt-20080831-1.i386
    libSM.so.6 нужен для mra_qt-20080831-1.i386
    libsqlite3.so.0 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6 нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(CXXABI_1.3) нужен для mra_qt-20080831-1.i386
    libstdc++.so.6(GLIBCXX_3.4) нужен для mra_qt-20080831-1.i386
    libX11.so.6 нужен для mra_qt-20080831-1.i386
    libXcursor.so.1 нужен для mra_qt-20080831-1.i386
    libXext.so.6 нужен для mra_qt-20080831-1.i386
    libXfixes.so.3 нужен для mra_qt-20080831-1.i386
    libXinerama.so.1 нужен для mra_qt-20080831-1.i386
    libXi.so.6 нужен для mra_qt-20080831-1.i386
    libXrandr.so.2 нужен для mra_qt-20080831-1.i386
    libXrender.so.1 нужен для mra_qt-20080831-1.i386
    libXss.so.1 нужен для mra_qt-20080831-1.i386
    libz.so.1 нужен для mra_qt-20080831-1.i386
    rpmlib(PayloadIsLzma) <= 4.4.2-1 нужен для mra_qt-20080831-1.i386
tim@tim-desktop:~$

Простите, а какой дистрибутив у вас? Если Ubuntu, то я первый раз слышу, чтоб в ней использовали rpm-пакеты.

может быть!!! это мой первый дистриб поэтому я мало в чем разбираюсь,
но все равно спасибо ...все таки установил!!! всем большое спасибо.
наконец то make и make install выполнились без ошибок!!!
:rolleyes:
Спасибо сказали:

temu4in
Сообщения: 4
ОС: Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение temu4in »

да честно гря бес попутал, я раньше то читал теорию, потом подзабыл, в Убунте деб пакеты, а рпм это для Редхата :rolleyes:
Спасибо сказали:

temu4in
Сообщения: 4
ОС: Ubuntu 9.04

Re: Mail.ru-агент для Linux

Сообщение temu4in »

изпод root работает, а из под пользователя не запускается. :(

Код: Выделить всё

tim@tim-desktop:~$ mra_qt
2009-10-10 10:13:49 W: IconsetFactory::addFactory error
2009-10-10 10:13:49 W: IconsetFactory::addFactory error
2009-10-10 10:13:49 W: IconsetFactory::addFactory error
2009-10-10 10:13:49 D: "Windows"  find style
2009-10-10 10:13:49 D: "Motif"  find style
2009-10-10 10:13:49 D: "CDE"  find style
2009-10-10 10:13:49 D: "Plastique"  find style
2009-10-10 10:13:49 D: "GTK+"  find style
2009-10-10 10:13:49 D: "Cleanlooks"  find style
2009-10-10 10:13:49 W: error load translator
2009-10-10 10:13:49 W: cant find icon messageICOAnim
Floating point exception
tim@tim-desktop:~$
Спасибо сказали: